# Default values for ska-pst-smrb.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

enabled: true
hostIPC: false

restartPolicy: Never
tests:
  component:
    enabled: true
    name: "bdd-redeploy"
  connectivity:
    enabled: false
  performance:
    enabled: false
  correctness:
    enabled: false

# Sub Bands are rendered to its own pod 
subbands:
  - name: ska-pst-smrb-0
    command: ["bash"]
    args:
      - "-c"
      - "$(SMRB_CORE_CMD) -v -s -f $(SMRB_CONFIG_PATH)/$(SMRB_CONFIG_FILE)"
    tty: true
    config:
      config.txt: |-
        # Placeholder
        DATA_KEY        0110
        WEIGHTS_KEY     0112
        NUMA_NODE       0
        # common header ring buffer defintion
        HB_NBUFS        8
        HB_BUFSZ        4096
        # data ring buffer defintion [180 packets for MidPSTBand5]
        DB_NBUFS        8
        DB_BUFSZ        33566400
        # weights ring buffer defintion [180 packets for MidPSTBand5]
        WB_NBUFS        8
        WB_BUFSZ        4195800
      data_header.txt: |-
        # Placeholder
        HDR_SIZE            4096
        HDR_VERSION         1.0
        # Parameters for MidPSTBand5 sub-band 1
        NCHAN               11655
        NBIT                8
        NPOL                2
        NDIM                2
        TSAMP               16.276041667
        FREQ                4913.2864
        BW                  626.5728
        START_CHANNEL       0
        END_CHANNEL         11655
        BYTES_PER_SECOND    2864332800.000
        RESOLUTION          186480
        # Additional parameters, not required for this test
        DATA_HOST           127.0.0.1
        DATA_PORT           12345
        CALFREQ             11.1111111111
        OBS_OFFSET          0
        UTC_START           2022-01-01-00:00:00

image:
  repository: registry.gitlab.com/ska-telescope/pst/ska-pst-smrb/ska-pst-smrb
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

config:
  smrb:
    data:
      SMRB_CORE_CMD: "/usr/local/bin/ska_pst_smrb_core -vvv -c 8080"
